Payouts

Confirm payout

patch
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Allows initiating a new settlement.
  • : Allows creating a new payout.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
payoutIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Responses
chevron-right
200

Default Response

application/json
successbooleanRequired
patch
/api/v1/payouts/{payoutId}/confirm

Create payout

post
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Allows initiating a new settlement.
  • : Allows creating a new payout.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Header parameters
idempotency-keystring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Body
referencestring · max: 255Required
descriptionany ofRequired
string · max: 1000Optional
or
undefined · enum · nullableOptionalPossible values:
Responses
chevron-right
200

Default Response

application/json
payoutIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
post
/api/v1/payouts

Calculate quotes

post
Body
Responses
chevron-right
200

Default Response

application/json
fxQuoteany ofRequired
or
post
/api/v1/payouts/quotes

Get transaction ID by payout ID

get
Path parameters
payoutIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Responses
chevron-right
200

Default Response

application/json
get
/api/v1/payouts/{payoutId}/transaction-id

Last updated